<bugID>752719<Summary>Interaction redesign for in-content Preferences</Summary><Description>After moving everything in the current Preferences panel into in-content page, as a phase two, we need to redesign the interaction for Preferences. This bug will encompass the interaction changes need to be made.

Since we have more space in the preferences page now, we should do an interaction sanity check to see whether the current interaction methods still make sense and how we can improve them to provide a better experience.(for example, integrate pop-up windows to in-content area) We also need to re-categorize preferences and move some options to about:config to provide a more clear UI.</Description></bugID>